=== debian/changelog ===
pam (0.79-4) unstable; urgency=medium

  * Medium-urgency upload; at least one RC bugfix, but also a
    significant number of changes, hence not urgency=high.
  * Move libpam-modules and libpam0g to Section: libs and libpam-runtime
    to section: admin, to match the overrides in the archive.
  * Move old changelog entries (well, entry) that don't follow the current
    format to debian/changelog.old, since there's no way to figure out a
    timestamp for an 8-year-old upload, and this is the most effective
    way to clear a glut of lintian warnings.
  * Fix the formatting of the libpam-cracklib package description.
  * Patch 010: remove parts of the patch that aren't necessary for C++
    compatibility.
  * Patch 060: fix a segfault in pam_tally caused by misuse of
    pam_get_data(); already fixed upstream.  Closes: #335273.
  * Patch 061: fix a double free in pam_issue, caused by overuse (and misuse)
    of strdup (similar to patch 059).  Already fixed upstream.
    Closes: #327272.
  * Don't build-depend on libselinux1-dev and libcap-dev on kfreebsd archs.
    Closes: #352329.
  * Patch 005: sync pam_limits with upstream:
    - support "-" (unlimited) for all limit types except process priority.
    - support the additional aliases "-1", "unlimited", and "infinity" for
      clearing the limits; closes: #122400, #149027.
    - restrict the range of process priority, login count, and system login
      count settings to (INT_MIN,INT_MAX) (heh).
    - special-case RLIM_INFINITY when applying multipliers to values from
      the config.
    - document maxsyslogins in the default limits.conf; closes: #149883.
    - use the current process priority as a default instead of resetting to
      0; closes: #241663.
    - add support for (and document) new RLIMIT_NICE and RLIMIT_RTPRIO
      settings in Linux 2.6.12 and above; closes: #313542, #313588.
    - allow imposing limits on uid=0.
  * Patch 027: only set RLIM_INFINITY as the default for the limits where
    we know this is sensible, so that recompiling in an environment with new
    limits doesn't create a security hole -- as happened with RLIMIT_NICE and
    RLIMIT_RTPRIO!  Thanks to Ville Hallik for the initial patch.
    Closes: #388431.
  * Patch 029, 047: Fix up the broken pam_limits capabilities patch so it
    actually works -- which may well be a first...  Closes: #318452.

 -- Steve Langasek <vorlon@debian.org>  Mon, 23 Oct 2006 05:36:08 -0700

pam (0.79-3.2) unstable; urgency=low

  * Non-maintainer upload to fix important bug, that makes passwd segfault
    when CTRL-D is pressed at the password prompt.  Applied the patch 
    provided by Dann Frazier.  (Closes: #360657)

 -- Margarita Manterola <marga@debian.org>  Sat,  5 Aug 2006 02:11:22 -0300

pam (0.79-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Linux-PAM/libpamc/include/security/pam_client.h,
    Linux-PAM/libpamc/pamc_converse.c: Apply patch from
    latest upstream version to remove redefinition of internal
    glibc/libstdc++ types.  Closes: #344447.

 -- Roger Leigh <rleigh@debian.org>  Sun,  5 Feb 2006 21:46:59 +0000

pam (0.79-3) unstable; urgency=low

  * Patch 059
    - Fix a segfault in pam_userdb when the new "crypt=" option
      is unset, as will be the case for all existing users; already fixed
      upstream.  Closes: #330829.
    - Fix a memory leak in the same code due to gratuitous strdup()s.
  * Further regression in pam_env: don't treat a missing /etc/environment
    as a fatal error, either.  Amend patch 058 accordingly.  Closes: #330852.

 -- Steve Langasek <vorlon@debian.org>  Fri, 30 Sep 2005 01:17:53 -0700

pam (0.79-2) unstable; urgency=low

  The ".c.o: rm -rf $@" release
  * Fix debian/rules so that make clean doesn't remove ./configure when the
    timestamp on configure.in is newer (!).
  * Switch pam_userdb from db3 to db4.3, which according to the libdb
    maintainers should require no manual intervention for upgrading on-disk
    database formats.  Closes: #165068.
  * Patch 058:  yes, of course we want to read /etc/environment by
    default.  Grr!  Revert upstream change which disables this for no
    apparent reason (closes: #330458).
  * Tweak selinux rootok code to use the version of the function call that
    doesn't pollute namespace

 -- Steve Langasek <vorlon@debian.org>  Tue, 27 Sep 2005 02:44:36 -0700

pam (0.79-1) unstable; urgency=low

  * New upstream version (closes: #284954, #300775).
    - includes some fixes for typos (closes: #319026).
    - pam_unix should now be LSB 3.0-compliant (closes: #323982).
    - fixes segfaults in libpam on config file syntax errors
      (closes: #330097).
  * Drop patches 000_bootstrap, 004_libpam_makefile_static_works,
    011_pam_access, 013_pam_filter_termio_to_termios, 017_misc_fixes,
    025_pam_group_conffile_name, 028_pam_mail_delete_only_when_set,
    033_use_gcc_not_ld, 034_pam_dispatch_ignore_PAM_IGNORE,
    035_pam_unix_security, 039_pam_mkhomedir_no_maxpathlen_required,
    041_call_bootstrap, 042_pam_mkhomedir_dest_not_source_for_errors,
    051_32_bit_pam_lastlog_ll_time, and
    053_pam_unix_user_known_returns_user_unknown which have been
    integrated upstream.
  * Merge one last bit of patch 053 into patch 043, where it should have
    been in the first place
  * Patch 057: SELinux support:
    - add support to pam_unix for copying SELinux security contexts when
      writing out new passwd/shadow files and creating lockfiles
    - support calling unix_chkpwd if opening /etc/shadow fails due to
      SELinux permissions
    - allow unix_chkpwd to authenticate for any user when in an SELinux
      context (hurray!); we depend on SELinux policies to prevent the
      helper's use as a brute force tool
    - also support querying user expiration info via unix_chkpwd
    - misc cleanup: clean up file descriptors when invoking unix_chkpwd
      (closes: #248310)
    - make pam_rootok check the SELinux passwd class permissions, not just
      the uid

